
#footer {
    position: relative;
    min-height: 500px;
    margin: 5em 0 0 !important;
    padding-bottom: 0 !important;
    background-color: unset !important;
}

[data-route="app_welcome_index"] #footer,
[data-route="sylius_shop_homepage"] #footer {
    min-height: 750px;
}

#footer > .ui.container {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}

#footer .ui.logo {
    position: relative;
    width: 100%;
    height: 100px;
    margin-bottom: 4em !important;
}

#footer .ui.logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/****** footer.newsletter ******/
#footer .newsletter {
    width: 100%;
    margin-bottom: 3em;
    padding: 2em !important;
    border: none;
    box-shadow: none;
}

#footer .newsletter .header {
    font-family: var(--cinzel) !important;
    font-weight: 400;
    font-size: 1.4em;
    text-align: center;
}

#footer .newsletter .column {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#footer .newsletter .ui.form {
    flex-direction: column;
}

#footer .newsletter .ui.form .newsletter-input {
    display: flex;
    justify-content: center;
    align-items: center;
}

#footer .newsletter .ui.form .newsletter-input input[name="email"] {
    width: 75%;
    max-width: 50vw;
    text-align: center;
    border: none;
    border-bottom: 1px solid var(--ligth-color);
}

#footer .newsletter .ui.form .newsletter-input input[name="email"]::placeholder {
    font-style: italic;
    color: black;
    opacity: 0.5;
}

#footer .newsletter .ui.form .rgpd {
    margin-top: 10px;
    margin-bottom: 1em;
}

#footer .newsletter .ui.form .rgpd input {
    display: inline-block;
    width: auto;
    margin: 0 2px;
}

#footer .newsletter .ui.form .rgpd label {
    width: 85%;
    max-width: 50vw;
    margin: 0 !important;
    padding: 0 !important;
    font-size: .8em !important;
    text-align: center;
}

#footer .newsletter .ui.form .rgpd a {
    text-decoration: underline;
}

#footer .newsletter .ui.form .newsletter-button {
    text-align: center;
}

#footer .secondary.segment.newsletter::before {
    background-color: unset;
}

#footer .secondary.segment.newsletter p {
    margin-bottom: 0;
}

#footer .newsletter h3,
#footer .newsletter p {
    text-align: center;
}


#footer .w33 {
    width: calc(100% / 3) !important;
    margin: 0 !important;
    padding: 0 !important;
    text-align: center;
    border: none;
}

#footer .w33 .header {
    margin-bottom: 5px;
    text-transform: uppercase;
    font-weight: 400;
    font-size: 1.1em;
    color: rgba(0, 0, 0, 0.87) !important;
}

#footer .w33 .link {
    margin-top: 0 !important;
}

#footer .w33 .link.list a {
    padding: 4px 0;
    font-size: .85em;
    color: rgba(0, 0, 0, 0.87) !important;
}

#footer .w33 .link.list a:hover {
    color: var(--main-color) !important;
}

#footer .warning {
    width: 100%;
    max-width: 570px;
}

#footer .notice {
    padding: 10px;
    font-size: 1em;
    text-align: center;
    background-color: var(--main-color);
    color: #fff
}


@media (max-width: 768px) {
    #footer {
        padding: 0 !important;
    }

    #footer .ui.container {
        margin: 0 auto !important;
    }

    #footer .newsletter .ui.form {
        width: 100% !important;
    }

    #footer .newsletter .ui.form .newsletter-input input[name="email"],
    #footer .newsletter .ui.form .rgpd label {
        width: 100%;
        max-width: unset;
    }

    #footer .ui.logo {
        width: 100% !important;
    }

    #footer .w33 {
        width: calc(100% / 2) !important;
    }

    #footer .notice {
        font-size: .8em;
    }

    [data-route="app_welcome_index"] #footer,
    [data-route="sylius_shop_homepage"] #footer {
        min-height: 800px;
    }
}
